# Uses of Class
bsh.CallStack

Packages that use CallStack
Package
Description
bsh

## Uses of CallStack in bsh

Methods in bsh that return CallStack
Modifier and Type
Method
Description
`CallStack`
CallStack.`copy()`
Occasionally we need to freeze the callstack for error reporting purposes, etc.
Methods in bsh with parameters of type CallStack
Modifier and Type
Method
Description
`Object`
BSHPackageDeclaration.`eval(CallStack callstack, Interpreter interpreter)`
`abstract Class`
ClassGenerator.`generateClass(String name, Modifiers modifiers, Class[] interfaces, Class superClass, bsh.BSHBlock block, boolean isInterface, CallStack callstack, Interpreter interpreter)`
Parse the BSHBlock for the class definition and generate the class.
`Class`
ClassGeneratorImpl.`generateClass(String name, Modifiers modifiers, Class[] interfaces, Class superClass, bsh.BSHBlock block, boolean isInterface, CallStack callstack, Interpreter interpreter)`
`static Class`
ClassGeneratorImpl.`generateClassImpl(String name, Modifiers modifiers, Class[] interfaces, Class superClass, bsh.BSHBlock block, boolean isInterface, CallStack callstack, Interpreter interpreter)`
Parse the BSHBlock for for the class definition and generate the class using ClassGenerator.
`Object`
BshMethod.`invoke(Object[] argValues, Interpreter interpreter, CallStack callstack, bsh.SimpleNode callerInfo)`
Invoke the bsh method with the specified args, interpreter ref, and callstack.
`Object`
NameSpace.`invokeMethod(String methodName, Object[] args, Interpreter interpreter, CallStack callstack, bsh.SimpleNode callerInfo)`
This method simply delegates to This.invokeMethod();
`Object`
This.`invokeMethod(String methodName, Object[] args, Interpreter interpreter, CallStack callstack, bsh.SimpleNode callerInfo, boolean declaredOnly)`
Invoke a method in this namespace with the specified args, interpreter reference, callstack, and caller info.
`EvalError`
UtilEvalError.`toEvalError(bsh.SimpleNode node, CallStack callstack)`
`EvalError`
UtilEvalError.`toEvalError(String msg, bsh.SimpleNode node, CallStack callstack)`
Re-throw as an eval error, prefixing msg to the message and specifying the node.
`EvalError`
UtilTargetError.`toEvalError(String msg, bsh.SimpleNode node, CallStack callstack)`
Override toEvalError to throw TargetError type.
Constructors in bsh with parameters of type CallStack
Modifier
Constructor
Description
``
`EvalError(String s, bsh.SimpleNode node, CallStack callstack)`
``
`TargetError(String msg, Throwable t, bsh.SimpleNode node, CallStack callstack, boolean inNativeCode)`
``
`TargetError(Throwable t, bsh.SimpleNode node, CallStack callstack)`